Bug 1458825 - Metrics image versions for cassandra, heapster and hawkular should by in synch on ops mirror
Summary: Metrics image versions for cassandra, heapster and hawkular should by in sync...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Release
Version: 3.6.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.6.z
Assignee: Justin Pierce
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-05 14:45 UTC by Mike Fiedler
Modified: 2018-01-23 17:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-01-23 17:57:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0113 normal SHIPPED_LIVE OpenShift Container Platform 3.7 and 3.6 bug fix and enhancement update 2018-01-23 22:55:59 UTC

Description Mike Fiedler 2017-06-05 14:45:19 UTC
Description of problem:

Right now (5 June) on ops mirror, the latest metrics images are:

metrics-cassandra - v3.6.92
metrics-heapster - v3.6.94
metrics-hawkular - v3.6.94

The ansible installer for metrics expects them all to be the same version:

openshift_logging_image_version=v3.6.94

Previously, v3.6 tag was used but this was bad because you never knew the exact level.

Is there some way to ensure all metrics (and logging for that matter) tags are the same for a given puddle?

Comment 1 Justin Pierce 2017-06-06 12:09:28 UTC
Looks like a bug in the build scripts. The images were being built, but not all were being pushed. 
Fix: https://github.com/openshift/aos-cd-jobs/commit/46d0597eee281dad5aff0ffd44f4eb00aae96fd6

Fix used during build of 3.6.96 if you want to confirm.

Comment 3 Mike Fiedler 2017-06-18 12:12:39 UTC
Have not seen any additional out of synch issues.  Please move to ON_QA for verification.

Comment 4 Mike Fiedler 2017-06-20 02:55:42 UTC
Verified on 3.6.116

Comment 7 errata-xmlrpc 2018-01-23 17:57:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0113


Note You need to log in before you can comment on or make changes to this bug.